import json
import os


def load_sweep_configs(sweep_type, config_filename=None):
    if config_filename is None:
        if sweep_type == 'popsampling':
            config_filename = 'pop_sampling.json'
        elif sweep_type == 'timestep':
            config_filename = 'time_steps.json'
        elif sweep_type == 'popscaling':
            config_filename = 'pop_scaling.json'
        else:
            raise ValueError('Invalid sweep type: %s' % sweep_type)
        config_filename = os.path.join(os.path.dirname(__file__), config_filename)

    with open(config_filename, 'r') as f:
        catalyst_config = json.loads(f.read())
    return catalyst_config


def load_report_definitions(definitions_filename=None):
    if definitions_filename is None:
        definitions_filename = os.path.join(os.path.dirname(__file__), 'reports.json')

    with open(definitions_filename, 'r') as f:
        reports = json.loads(f.read())
    return reports
